%define api_version 1.0
%define pkg_name geronimo-jaxr_%{api_version}_spec
%define with_test 0

Name:          geronimo-jaxr-1.0-api
Version:       1.1
Release:       %mkrel 1
Summary:       JAXR 1.0
License:       ASL 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jaxr_1.0_spec-1.1
# tar czf geronimo-jaxr_1.0_spec-1.1-src-svn.tar.gz geronimo-jaxr_1.0_spec-1.1
Source0:       geronimo-jaxr_1.0_spec-1.1-src-svn.tar.gz
# disable test ( remove ) ws-scout The following artifacts could not be resolved: axis:axis:jar:1.4, axis:axis-saaj:jar:1.4, axis:axis-jaxrpc:jar:1.4:... TODO add ... poms
Patch0:        geronimo-jaxr-1.0-api-pom_xml.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: geronimo-parent-poms
BuildRequires: geronimo-jaf-1.0.2-api
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
%if %with_test
BuildRequires: ws-scout >= 1.0-1
%endif

Requires:      geronimo-jaf-1.0.2-api
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Geronimo JAXR 1.0 API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo JAXR 1.0 API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done

%if %with_test
sed -i "s|<groupId>scout|<groupId>org.apache.ws.scout|" pom.xml
sed -i "s|<artifactId>scout|<artifactId>jaxr-api|" pom.xml
%else
%patch0 -p0
%endif

%build

mvn-rpmbuild \
%if !%with_test
  -Dmaven.test.skip=true \
%endif
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-jaxr-%{api_version}-api-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-jaxr-%{api_version}-api-%{version}.jar geronimo-jaxr-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-jaxr-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-jaxr-%{api_version}-api.pom geronimo-jaxr-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-jaxr-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-jaxr-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-jaxr-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-jaxr-1.0-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-jaxr-%{api_version}-api


%changelog

* Tue Sep 06 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 139083
- Adapt to mageia guidelines

  + gil <gil>
    - imported package geronimo-jaxr-1.0-api

